//Tutorial by RoboIndia on L298N Double H Bridge Motor Driver Module using PWM Signals
//https://www.roboindia.com/tutorials/
 
                              
int IN1  = 10;    //Motor A
int IN2  = 9;    
int IN3  = 8;    //Motor B
int IN4  = 7;    

//needs to be PWM pin to control speed
int EN1 = 11;                 // Pin 1 of L293D IC 
int EN2 = 6;                 // Pin 9 of L293D IC

void setup()
{
  pinMode(EN1, OUTPUT);   // where the motor is connected to
  pinMode(EN2, OUTPUT);   // where the motor is connected to
  pinMode(IN1, OUTPUT);
  pinMode(IN2, OUTPUT);
  pinMode(IN3, OUTPUT);
  pinMode(IN4, OUTPUT);  
  Serial.begin(9600);
  Serial.println("Enter values between 0 - 255");
}

void loop()

{
  if(Serial.available())         
    { 
      int speed = Serial.parseInt();  //Receive Value from serial monitor
      Serial.println(speed);
        analogWrite(EN1, speed);      //sets the motors speed
        analogWrite(EN2, speed);      //sets the motors speed
        digitalWrite(IN1, HIGH);
        digitalWrite(IN2, LOW);
        digitalWrite(IN3, HIGH);
        digitalWrite(IN4, LOW);  
     }
}
